package com.cku.dao;

import java.util.List;

import org.apache.ibatis.annotations.Param;

import com.cku.model.CkuImage;
import com.cku.model.CkuMatchVenue;

public interface CkuImageMapper {
    int deleteByPrimaryKey(Integer imageId);

    int insert(CkuImage record);

    int insertSelective(CkuImage record);

    CkuImage selectByPrimaryKey(Integer imageId);

    int updateByPrimaryKeySelective(CkuImage record);

    int updateByPrimaryKey(CkuImage record);
    
    List<CkuImage> selectByColumn(@Param("sql")String sql);
    //根据酒店id查询酒店的配图
	List<CkuImage> getImageById(@Param("hotelId")long hotelId);
	//查询场馆配图
	List<CkuImage> getVenueImage(@Param("venueId")long venueId);



    
}